
KERNELDIR	:= $(INSTALL_ROOT)/linux

test_module-objs += ../STM32F4xx_HAL_Driver/system_stm32f4xx.o
test_module-objs += ../STM32F4xx_HAL_Driver/Src/stm32f4xx_hal.o
test_module-objs += ../STM32F4xx_HAL_Driver/Src/stm32f4xx_hal_gpio.o
test_module-objs += ../STM32F4xx_HAL_Driver/Src/stm32f4xx_hal_cortex.o

test_module-objs += test_main.o

obj-m	+= test_module.o

EXTRA_CFLAGS += -I$(PWD)/../STM32F4xx_HAL_Driver
EXTRA_CFLAGS += -I$(PWD)/../STM32F4xx_HAL_Driver/Inc
EXTRA_CFLAGS += -I$(PWD)/../../common_include
EXTRA_CFLAGS += -I$(PWD)/../


modules	:
	make -C $(KERNELDIR) M=`pwd` modules CFLAGS="" LDFLAGS=""

clean:
	make -C $(KERNELDIR) M=`pwd` clean

